Use this file to discover all available pages before exploring further.
NOTIFY_WITHDRAW (type=3)When a user completes a withdrawal operation through WaaS, WaaS will notify you of the withdrawal details through this callback. The merchant needs to confirm in the response whether this callback has been accepted.
The request sent by WaaS is an RSA-encrypted Base64 string. Merchants need to decrypt it using their public key to obtain the following business parameters:
After processing the callback, merchants need to return a JSON-formatted response body. The data field must return an RSA-encrypted Base64 string (encrypted using the public key provided by WaaS), while other fields are in plain text:
Encrypted business data, e.g.: BDn6Liv5Z4TJ9vjfd (refer to example on right)Generated by encrypting the following raw business parameters:requestUUID (String) : The unique identifier of the request. The merchant must return the same requestUUID in the response to help WaaS confirm.tenantUserId (String) : User ID of the business operator.
Description: The unique identifier of the user who initiated the business operation (withdrawal or energy rental) in the merchant’s own system.
Important Note: This ID refers to the user in the merchant’s system, not the merchant’s identity ID on the WaaS platform.
type (Integer) : Callback type
callBackId : Merchant must return callBackId to help WaaS with secondary confirmationtrackingId (String) : Business event identifiertxId (String) : Blockchain transaction hashchainName (String) : Blockchain namesymbol (String) : Token symbolamount (Integer) : Withdrawal amountfromAddress (String) : Withdrawal source addresstoAddress (String) : Withdrawal target addresstxTimeStamp (Long) : Timestamp of energy arrival (in milliseconds). Valid only when the business type is energy rental (symbol=“ENERGY”); can be ignored for other business types.